:root {
  --font-size: 1;
}

body {
  font-family: "Oxygen", sans-serif;
  font-size: calc(var(--font-size) * 1rem);
}

/*
--------------------------------------
-------------- ELEMENTS --------------
--------------------------------------
*/
/*Headings*/
h3 {
  color: #0c5adb;
  font-weight: bold;
  font-size: 1.3rem;
  margin-bottom: 1rem;
}

/*Tables*/
table td {
  color: #555555 !important;
}

table tbody tr {
  -webkit-transition: 0.2s ease-in-out all;
  -o-transition: 0.2s ease-in-out all;
  transition: 0.2s ease-in-out all;
}
table tbody tr:hover {
  background-color: rgba(12, 90, 219, 0.05);
}
table tbody tr td, table tbody tr th {
  background-color: transparent !important;
}

.table-content {
  border-radius: 7px;
  border: 1px solid #dadada;
  padding: 1rem;
}

/*
--------------------------------------
------------ COMPONENTS --------------
--------------------------------------
*/
/*Buttons*/
a, button {
  -webkit-transition: 0.2s ease-in-out all;
  -o-transition: 0.2s ease-in-out all;
  transition: 0.2s ease-in-out all;
}

.btn-link {
  padding: 0;
  color: #0c5adb;
}

.modal .btn-close {
  background-color: #0c5adb;
  opacity: 1 !important;
  color: #fff !important;
  border-radius: 50% !important;
  background-image: url("../img/xmark-white-icon.svg") !important;
  background-size: 20px;
  position: absolute;
  right: -2%;
  margin-top: -10px;
  padding: 0.3rem;
  z-index: 99999;
}
.modal .btn-close:hover {
  background-color: #023d9a;
}

.btn-primary {
  background-color: #0c5adb;
}

.btn-outline-primary {
  border-color: #0c5adb;
  color: #0c5adb;
}
.btn-outline-primary:hover {
  background-color: #0c5adb;
}

.btn-logout::after {
  content: "";
  width: 20px;
  height: 15px;
  display: inline-block;
  background-image: url("../img/logout-blue-icon.svg");
  background-repeat: no-repeat;
  background-position: center top;
  background-size: 15px;
  vertical-align: middle;
}
.btn-logout:hover::after {
  background-image: url("../img/logout-white-icon.svg");
}

/*Table options*/
.table-options {
  display: flex;
  justify-content: end;
}
.table-options a {
  display: block;
  text-decoration: none;
  margin-left: 0.5rem;
}
.table-options a:first-child {
  margin-left: 0;
}

/*Badges*/
.badge.text-bg-primary {
  color: #0C5ADB !important;
  background-color: #D0EDFE !important;
}

.badge.text-bg-warning {
  color: #FB842E !important;
  background-color: #FFEFC7 !important;
}

/*Complaint list*/
.complaint-list .card-header ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0;
}
.complaint-list .card-header ul li {
  list-style: none;
  font-weight: bold;
  display: block;
  width: 100%;
}
.complaint-list .card-header ul li:last-child {
  text-align: right;
}
.complaint-list > ul > li {
  -webkit-transition: 0.2s ease-in-out all;
  -o-transition: 0.2s ease-in-out all;
  transition: 0.2s ease-in-out all;
}
.complaint-list > ul > li:hover {
  background-color: rgba(12, 90, 219, 0.05);
}
.complaint-list > ul > li .complaint-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0;
}
.complaint-list > ul > li .complaint-item li {
  list-style: none;
  display: block;
  width: 100%;
}

/*Collapse response*/
.collapse-response > button {
  width: 100%;
  text-align: left;
  padding: 0.78rem 1rem;
  border-radius: 7px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.collapse-response > button.collapsed::after {
  content: "";
  width: 0;
  height: 0;
  border-top: 5px solid #2B2D30;
  border-right: 5px solid transparent;
  border-bottom: none;
  border-left: 5px solid transparent;
}
.collapse-response > button::after {
  content: "";
  width: 0;
  height: 0;
  border-top: none;
  border-right: 5px solid transparent;
  border-bottom: 5px solid #2B2D30;
  border-left: 5px solid transparent;
}
.collapse-response > .collapse {
  border: 1px solid transparent;
  -webkit-border-bottom-right-radius: 7px;
  -webkit-border-bottom-left-radius: 7px;
  -moz-border-radius-bottomright: 7px;
  -moz-border-radius-bottomleft: 7px;
  border-bottom-right-radius: 7px;
  border-bottom-left-radius: 7px;
}
.collapse-response > .collapse .card {
  border-color: transparent;
}
.collapse-response.collapse-response-primary > button {
  background-color: #D0EDFE;
  border-color: #b1d3e7;
}
.collapse-response.collapse-response-primary > button:hover, .collapse-response.collapse-response-primary > button:active {
  background-color: #b1d3e7;
  border-color: #b1d3e7;
}
.collapse-response.collapse-response-primary > .collapse {
  border-color: #D0EDFE;
}
.collapse-response.collapse-response-default > button {
  background-color: #F5F5F5;
  border-color: #cccccc;
}
.collapse-response.collapse-response-default > button:hover, .collapse-response.collapse-response-default > button:active {
  background-color: #cccccc;
  border-color: #cccccc;
}
.collapse-response.collapse-response-default > .collapse {
  border-color: #cccccc;
}

.loading {
  text-align: center;
}
.loading img {
  width: 100%;
  max-width: 50px;
}

/*Forms*/
label.form-label {
  color: #0c5adb;
}
label.form-label span {
  color: red;
}

.form-control.is-valid {
  background-image: url("../img/check-green-icon.svg") !important;
}

/*Step form*/
fieldset.tab {
  display: none;
}

/*
--------------------------------------
-------------- LAYOUTS --------------
--------------------------------------
*/
.h-lvh {
  height: 100vh;
}

.bg-app {
  background-image: url("../img/bg-app.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.app-container {
  width: 100%;
  height: 100vh;
  overflow: auto;
}
.app-container .cd-logo {
  padding-left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.app-container .cd-logo li {
  list-style: none;
  border-right: 1px solid #000;
  padding: 1rem;
}
.app-container .cd-logo li a {
  display: block;
}
.app-container .cd-logo li a img {
  height: 40px;
}
.app-container .cd-logo li:last-child {
  border-right: none;
}
.app-container .main-content {
  width: 100%;
  max-width: 530px;
  text-align: center;
  padding: 1rem 0;
}
.app-container .main-content .main-menu {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.app-container .main-content .main-menu a {
  display: block;
  background-color: #fff;
  border: 2px solid #0c5adb;
  border-radius: 7px;
  text-align: center;
  text-decoration: none;
  padding: 0.5rem;
  width: 115px;
  line-height: 1.2;
}
.app-container .main-content .main-menu a .image {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
}
.app-container .main-content .main-menu a .image img {
  width: 100%;
  max-width: 50px;
  filter: invert(26%) sepia(77%) saturate(6478%) hue-rotate(215deg) brightness(93%) contrast(91%);
}
.app-container .main-content .main-menu a span {
  display: block;
  font-size: 1rem;
}
.app-container .main-content .main-menu a:hover {
  background-color: #0c5adb;
}
.app-container .main-content .main-menu a:hover img {
  filter: invert(100%) sepia(96%) saturate(17%) hue-rotate(304deg) brightness(105%) contrast(104%);
}
.app-container .main-content .main-menu a:hover span {
  color: #fff;
}

.complaint-response {
  padding: 1rem;
  border: 1px solid #ccc;
  border-radius: 7px;
}

@media screen and (min-width: 768px) {
  .app-container .main-content {
    text-align: left;
  }
  .app-container .main-content .cd-logo li a img {
    height: 54px;
  }
  .app-container .main-content .main-menu a {
    padding: 0.5rem;
    width: 120px;
  }
  .app-container .main-content .main-menu a .image {
    height: 60px;
  }
  .app-container .main-content .main-menu a .image img {
    width: 100%;
    max-width: 35px;
  }
  .app-container .main-content .main-menu a span {
    font-size: 0.875rem;
  }
}
/*Header Backoffice*/
.header-backoffice {
  padding-top: 1rem;
  margin-bottom: 1rem;
}
.header-backoffice .container {
  display: flex;
  align-items: start;
  justify-content: space-between;
  padding-bottom: 1rem;
  border-bottom: 1px solid #D9D9D9;
}
.header-backoffice .container .header-welcome {
  display: flex;
  align-items: start;
}
.header-backoffice .container .header-welcome img {
  width: 100%;
  max-width: 50px;
  margin-right: 1rem;
}
.header-backoffice .container .header-welcome h1 {
  font-weight: bold;
  font-size: 1.5rem;
  margin-bottom: 0.2rem;
}
.header-backoffice .container .header-welcome h2 {
  font-size: 1.2rem;
}

/*# sourceMappingURL=style.css.map */
.error {
  width: 100%;
  margin-top: .25rem;
  font-size: .875em;
  color: var(--bs-form-invalid-color)
}

/* Empresa */
#logo-img img {
  max-width: 200px;
}

/* Tablas */
.table-rounded {
  border-collapse: separate;
  border-spacing: 0;
  border-radius: .375rem;
  overflow: hidden;
  border: 1px solid #dee2e6;
}

.table-rounded th {
  padding: .75rem .5rem;
  background-color: #f8f9fa;
}

.table-rounded th:first-child {
  border-top-left-radius: .375rem;
}

.table-rounded th:last-child {
  border-top-right-radius: .375rem;
}

.table-rounded tr:last-child td {
  border-bottom: 0;
}

.table-rounded tr:last-child td:first-child {
  border-bottom-left-radius: .375rem;
}

.table-rounded tr:last-child td:last-child {
  border-bottom-right-radius: .375rem;
}